package digital.laboratory.platform.imr.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;


@ApiModel
@Data
public class UpdateStorageDateDTO {


    @ApiModelProperty(value = "id--主键id")
    private String id;

    @ApiModelProperty(value = "存放期限")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @JSONField(format = "yyyy-MM-dd")
    private LocalDate storageDate;
}
